<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getHackingLevel](./bitburner.ns.gethackinglevel.md)

## NS.getHackingLevel() method

Returns the player’s current hacking level.

**Signature:**

```typescript
getHackingLevel(): number;
```
**Returns:**

number

Player’s current hacking level

## Remarks

RAM cost: 0.05 GB

